// SchemeDocument.h


#import <Cocoa/Cocoa.h>

@interface SchemeDocument : NSDocument
{
  NSString *string;
  IBOutlet NSTextView *textView;
  BOOL error, evaluating;
}

- (NSString *)string;
- (NSTextView *)textView;
- (void)setString: (NSString *)str;
- (void)updateString;
- (BOOL)evalString: (NSString *)str;
- (char *)evalSelection;
- (void)insertAndSelect: (char *)str;
- (IBAction)eval: (id)sender;
- (IBAction)evalAndReplace: (id)sender;
- (void)idle: (NSTimer *)n;
@end
